import { useTranslations } from "next-intl";

import {
  ChangeMindAnswer,
  ChangeMindButtons,
} from "@/components/domains/retaining/change-mind";
import { Typography } from "@/components/ui";

export default function ChangeMind() {
  const t = useTranslations("ChangeMind");

  const answers: ChangeMindAnswer[] = [
    {
      id: 1,
      title: t("answers.more_chat_time"),
    },
    {
      id: 2,
      title: t("answers.more_personal_reports"),
    },
    {
      id: 3,
      title: t("answers.individual_plan"),
    },
    {
      id: 4,
      title: t("answers.other"),
    },
  ];

  return (
    <>
      <Typography size="xl" weight="bold" as="h1">
        {t("title")}
      </Typography>
      <ChangeMindButtons answers={answers} />
    </>
  );
}
